MCP Gateway
ApiPortal

List portal connections

List the current user's server connections. Returns only valid connections. Requires authentication.

GET
/api/v1/portal/connections

Authorization

User API Key
AuthorizationBearer <token>

User API key (mgw_usr_live_* or mgw_usr_test_*)

In: header

access_token?|

Response Body

application/json

application/json

curl -X GET "https://loading/api/v1/portal/connections"
{
  "items": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "server_id": "820efca4-4a15-4ab7-82fc-9e76f6d61325",
      "server_name": "string",
      "server_display_name": "string",
      "provider_name": "string",
      "credential_type": "string",
      "is_valid": true,
      "connected_at": "2019-08-24T14:15:22Z"
    }
  ],
  "total": 0
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}